package net.openmob.mobileimsdk.android.event;

import com.renrenliao.im.im.ImMsgBean;

import java.util.ArrayList;
import java.util.List;

/**
 * *@ClassName IMEvent
 * *@Description
 * *@Author gan
 * *@Date 2022/6/16 16:52
 **/
public interface IMEvent {
    /**
     * 登陆返回的状态码
     * @param paramInt
     * @param fp
     */
    void onLoginResponse(int paramInt,String fp);

    /**
     * 连接关闭
     * @param paramInt
     */
    void onLinkClose(int paramInt);

    /**
     * 连接中
     * @param paramInt
     */
    void onLinKing(int paramInt);

    /**
     * 消息未送达的回调事件
     * @param lostMessages
     */
    void messagesLost(List<ImMsgBean> lostMessages);

    /**
     *消息已被对方收到的回调事件
     * @param theFingerPrint
     */
    void messagesReceived(String theFingerPrint);

    /**
     * 好友上线通知事件
     * @param uid
     */
    void FriendOnline(String uid);
    /**
     * 好友下线通知事件
     * @param uid
     */
    void FriendOffline(String uid);


    /**
     * 收到好友添加请求
     */
    void FriendAddReq(ImMsgBean imMsgBean);

}
